## plink2 2.00~a3

=== DESCRIPTION ===
Package: pgenlibr
Type: Package
Title: PLINK 2 Binary (.pgen) Reader
Version: 0.3.1
Date: 2021-01-25
Author: Christopher Chang
Maintainer: Christopher Chang <chrchang@alumni.caltech.edu>
Description: A thin wrapper over PLINK 2's core libraries which provides an R
  interface for reading .pgen files.  A minimal .pvar loader is also included.
License: LGPL (>= 3)
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp

=== Makefile ===
# Linux/OS X Makefile for PLINK 2.00.
#
# Compilation options (leave blank after "=" to disable, put "= 1" to enable):
#   Do not use AVX2 instructions: NO_AVX2
#   Do not use SSE4.2 instructions: NO_SSE42
#   Print clear error message if SSE42/AVX2 needed but missing: CPU_CHECK
#   Do not link to LAPACK: NO_LAPACK
#   Use cblas_f77 instead of cblas: FORCE_CBLAS_F77
#   Use only -O2 optimization for zstd (may be necessary for gcc 4.x): ZSTD_O2
#   Statically link zlib: STATIC_ZLIB
#   Statically link zstd: STATIC_ZSTD
#   Link to MKL with 64-bit indexes (dynamically): DYNAMIC_MKL
#     (this also requires MKLROOT and MKL_IOMP5_DIR to be defined, and
#     LD_LIBRARY_PATH to include the appropriate directories)
#   32-bit binary (also sets STATIC_ZLIB and ZSTD_O2):
#     FORCE_32BIT (warning: you may need to add a zconf.h symlink to make that
#     work)
#   Debug symbols: set DEBUG to -g
NO_AVX2 = 1
NO_SSE42 =
CPU_CHECK = 1
NO_LAPACK =
PREFER_CBLAS_F77 =
ZSTD_O2 = 1
STATIC_ZLIB =
STATIC_ZSTD = 1
DYNAMIC_MKL =
MKLROOT = /home/ubuntu/intel/mkl
MKL_IOMP5_DIR = /home/ubuntu/intel/compilers_and_libraries_2017.2.174/linux/compiler/lib/intel64
FORCE_32BIT =
DEBUG =
CC ?= gcc
CXX ?= g++

BASEFLAGS=-DZSTD_MULTITHREAD
# ***** end configuration *****

BASEFLAGS += ${DEBUG}

include ../Makefile.src

LINKFLAGS=-lm -lpthread ${DEBUG}
ZLIB=
ARCH32=
CPUCHECK_FLAGS = ${DEBUG}

ifdef FORCE_32BIT
  # this is targeted at Scientific Linux 6.
  STATIC_ZLIB = 1
  ZSTD_O2 = 1
  ARCH32 = -m32 -march=i686
  CXXFLAGS = -std=c++0x
else
  ifdef NO_AVX2
    ifndef NO_SSE42
      BASEFLAGS += -msse4.2
      ifdef CPU_CHECK
        BASEFLAGS += -DCPU_CHECK_SSE42
        CPUCHECK_FLAGS = -O2 -DCPU_CHECK_SSE42 ${CXXWARN2}
      endif
    endif
  else
    BASEFLAGS += -mavx2 -mbmi -mbmi2 -mlzcnt
    ifdef CPU_CHECK
      BASEFLAGS += -DCPU_CHECK_AVX2
      CPUCHECK_FLAGS = -O2 -DCPU_CHECK_AVX2 ${CXXWARN2}
    endif
  endif
  CXXFLAGS = -std=c++11
endif
BASEFLAGS += ${ARCH32}

CFLAGS=-O2 -std=gnu99
# zstd appears to be seriously targeted at -O3; see 26 Jul 2016 entry at
# cbloom.com/rants.html
ifdef ZSTD_O2
  ZCFLAGS=-O2 -std=gnu99
else
  ZCFLAGS=-O3 -std=gnu99
endif
# this actually needs to be named "CXXFLAGS"
CXXFLAGS += -O2

ifdef FORCE_CBLAS_F77
  BASEFLAGS += -DFORCE_CBLAS_F77
  BLASFLAGS=-llapack -lf77blas -latlas
else
  BLASFLAGS=-llapack -lblas -lcblas -latlas
endif

ifdef STATIC_ZLIB
  BASEFLAGS += -DSTATIC_ZLIB
  LINKFLAGS += -L. ../../zlib-1.2.11/libz.a
else
  LINKFLAGS += -lz
endif

SKIP_STATIC_ZSTD =
ifdef STATIC_ZSTD
  BASEFLAGS += -DSTATIC_ZSTD
else
  ZCSRC2 =
  ZSSRC2 =
  SKIP_STATIC_ZSTD = echo
  OBJ = $(CSRC:.c=.o) $(CCSRC:.cc=.o)
  OBJ2 = $(notdir $(OBJ))
  LINKFLAGS += -lzstd
endif

LIBTOOL=ar
STATIC=rcs
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
  ifdef FORCE_32BIT
    $(error 32-bit OS X builds are not supported)
  endif
  ifdef DYNAMIC_MKL
    $(error MKL is not currently supported on OS X)
  endif
  BLASFLAGS=-framework Accelerate
  CFLAGS += -I/usr/local/include
  CXXFLAGS += -I/usr/local/include -stdlib=libc++
  LINKFLAGS += -L/usr/local/lib
  LIBTOOL=libtool
  STATIC=-static
else
  ifdef DYNAMIC_MKL
    ifdef NO_LAPACK
      $(error DYNAMIC_MKL and NO_LAPACK conflict)
    endif
    ifdef FORCE_32BIT
      $(error DYNAMIC_MKL + FORCE_32BIT not supported)
    endif
    BASEFLAGS += -DDYNAMIC_MKL -DLAPACK_ILP64 -I${MKLROOT}/include
    BLASFLAGS = -L${MKLROOT}/lib/intel64 -L${MKL_IOMP5_DIR} -Wl,--no-as-needed -lmkl_intel_ilp64 -lmkl_intel_thread -lmkl_core -liomp5
    LINKFLAGS += -ldl
  endif
endif

ifdef NO_LAPACK
  BASEFLAGS += -DNOLAPACK
  BLASFLAGS=
endif

CFLAGS += ${BASEFLAGS} ${CWARN2} ${CINCLUDE2}
ZCFLAGS += ${BASEFLAGS} ${CWARN2} ${ZSTD_INCLUDE2}
CXXFLAGS += ${BASEFLAGS} ${CXXWARN2} ${CXXINCLUDE2}

ifdef FORCE_32BIT
  CXXFLAGS += -Wno-sign-compare
endif

SFX ?= ""

all: plink2$(SFX) pgen_compress$(SFX)

plink2$(SFX): $(CSRC2) $(ZCSRC2) $(ZSSRC2) $(CCSRC2) ../plink2_cpu.cc
	$(CC) $(CFLAGS) $(CSRC2) -c
	$(SKIP_STATIC_ZSTD) $(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
	$(CXX) $(CXXFLAGS) $(CCSRC2) -c
	$(CXX) $(CPUCHECK_FLAGS) ../plink2_cpu.cc -c
	$(CXX) $(OBJ2) plink2_cpu.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)

pgen_compress$(SFX): $(PGCSRC2)
	$(CXX) $(CXXFLAGS) $(PGCSRC2) -o $@

pgenlib.a: $(PGENLIB_CCSRC2)
	$(CXX) $(CXXFLAGS) $(PGENLIB_CCSRC2) -c
	$(LIBTOOL) $(STATIC) -o $@ $(PGENLIB_OBJ2)

plink2lib.a: $(CSRC2) $(ZCSRC2) $(ZSSRC2) $(PLINK2LIB_CCSRC2)
	$(CC) $(CFLAGS) $(CSRC2) -c
	$(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
	$(CXX) $(CXXFLAGS) $(PLINK2LIB_CCSRC2) -c
	$(LIBTOOL) $(STATIC) -o $@ $(PLINK2LIB_OBJ2)

static_pgenlib_test: pgenlib.a ../pgen_compress.cc
	$(CXX) $(CXXFLAGS) -o $@ ../pgen_compress.cc -L. pgenlib.a

static_plink2lib_test: plink2lib.a ../pgen_compress.cc
	$(CXX) $(CXXFLAGS) -o $@ ../pgen_compress.cc -L. plink2lib.a

.PHONY: clean
clean:
	rm -f *.o
	rm -f plink2
	rm -f pgen_compress
	rm -f pgenlib.a
	rm -f plink2lib.a
	rm -f static_pgenlib_test
	rm -f static_plink2lib_test

## plink2 2.00~a3-200116+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200116+dfsg-2) unstable; urgency=medium

  * Restrict to any-amd64 and any-i386 architectures only. Others are
     not supported.
  * Add minimum required version of libzstd.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 29 Jan 2020 07:54:52 +0100

plink2 (2.00~a3-200116+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Wed, 22 Jan 2020 07:16:26 +0100

plink2 (2.00~a2-191128+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #858947)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 06 Dec 2019 22:28:40 +0100

=== debian/control ===
Source: plink2
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Dylan Aïssi <daissi@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12),
               help2man,
               libatlas-base-dev,
               liblapack-dev,
               libzstd-dev (>= 1.4.4),
               zlib1g-dev
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/plink2
Vcs-Git: https://salsa.debian.org/med-team/plink2.git
Homepage: https://www.cog-genomics.org/plink/2.0/

Package: plink2
Architecture: any-amd64 any-i386
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: whole-genome association analysis toolset
 plink expects as input the data from SNP (single nucleotide polymorphism)
 chips of many individuals and their phenotypical description of a disease.
 It finds associations of single or pairs of DNA variations with a phenotype
 and can retrieve SNP annotation from an online source.
 .
 SNPs can evaluated individually or as pairs for their association with the
 disease phenotypes. The joint investigation of copy number variations is
 supported. A variety of statistical tests have been implemented.
 .
 plink2 is a comprehensive update of plink and plink1.9 with new algorithms
 and new methods, faster and less memory consumer than the first plink.

## plink2 2.00~a3-200217%2Bdfsg

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DIRECTORY=build_dynamic/

%:
	dh $@ --sourcedirectory=$(DIRECTORY)

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink2.1
	rm -f pgen_compress.1

override_dh_auto_build:
	dh_auto_build
	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/plink2 > plink2.1
	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/pgen_compress > pgen_compress.1

override_dh_installman:
	dh_installman plink2.1
	dh_installman pgen_compress.1

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.docs/upstream.changelog

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g;s/(\d\S*)\-//,repack,compression=xz" \
 https://www.cog-genomics.org/plink/2.0/ /static/bin/plink2_src_(\d\S+)\.zip

## plink2 2.00~a3-200217+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200217+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version: 4.5.0 (no changes needed).

 -- Dylan Aïssi <daissi@debian.org>  Wed, 19 Feb 2020 06:58:25 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                liblapack-dev,
                libzstd-dev (>= 1.4.4),
                zlib1g-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/

## plink2 2.00~a3-200511+dfsg

=== debian/changelog ===
plink2 (2.00~a3-200511+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 May 2020 12:04:11 +0200

plink2 (2.00~a3-200409+dfsg2-1) unstable; urgency=medium

  * Team upload.
  * Enable building on non-x86
  * Use the Debian package of libdeflate
  * Enable cross building

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Fri, 24 Apr 2020 10:07:15 +0200

plink2 (2.00~a3-200409+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Tue, 21 Apr 2020 11:29:42 +0200

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,18 @@
                libatlas-base-dev,
                liblapack-dev,
                libzstd-dev (>= 1.4.4),
-               zlib1g-dev
+               zlib1g-dev,
+               libsimde-dev,
+               libdeflate-dev
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
+Rules-Requires-Root: no
 
 Package: plink2
-Architecture: any-amd64 any-i386
+Architecture: any
+Built-Using: ${simde:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Description: whole-genome association analysis toolset

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
export DEB_LDFLAGS_MAINT_APPEND+=-ldeflate

DIRECTORY=build_dynamic/

prefix=$(CURDIR)/debian/$(DEB_SOURCE)/usr
libexecdir=$(prefix)/lib/$(DEB_SOURCE)

%:
	dh $@ --sourcedirectory=$(DIRECTORY)

override_dh_auto_clean:
	dh_auto_clean
	rm -f plink2.1
	rm -f pgen_compress.1

override_dh_installman:
	dh_installman debian/plink2.1
	dh_installman pgen_compress.1

override_dh_installchangelogs:
	dh_installchangelogs debian/upstream.docs/upstream.changelog

override_dh_gencontrol:
	dh_gencontrol -- -Vsimde:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W "libsimde-dev")"

override_dh_auto_build-arch:
ifeq (amd64,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	export CXXFLAGS="$(CXXFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && export CFLAGS="$(CFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && \
		make clean ; \
		dh_auto_build -- SFX=-avx2
	for SIMD in avx sse4.1 ssse3 sse3 sse2 ; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		make clean ; \
		dh_auto_build -- SFX=-$${SIMD} ; \
	done
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
# help2man 1.47.13 is not able anymore do generate a clean manpage for plink1.9
# which lead to several lintian warnings
#	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/plink2 > plink2.1
	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/pgen_compress-sse2 > pgen_compress.1
endif
else ifeq (i386,$(DEB_HOST_ARCH))
	mkdir -p $(prefix)
	mkdir -p $(libexecdir)
	for SIMD in ssse3 sse3 sse2 sse mmx; do \
		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
		make clean ; \
		dh_auto_build -- SFX=-$${SIMD} ; \
	done
	dh_auto_build -- SFX=-plain
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
# help2man 1.47.13 is not able anymore do generate a clean manpage for plink1.9
# which lead to several lintian warnings
#	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/plink2 > plink2.1
	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/pgen_compress-plain > pgen_compress.1
endif
else
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
# help2man 1.47.13 is not able anymore do generate a clean manpage for plink1.9
# which lead to several lintian warnings
#	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/plink2 > plink2.1
	help2man --no-discard-stderr --name="whole genome SNP analysis" $(DIRECTORY)/pgen_compress > pgen_compress.1
endif
endif

override_dh_auto_install-arch:
ifeq (amd64,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	for SIMD in avx2 avx sse4.1 ssse3 sse3 sse2 ; do \
		dh_install build_dynamic/plink2-$${SIMD} usr/lib/$(DEB_SOURCE)/ ; \
		dh_install build_dynamic/pgen_compress-$${SIMD} usr/lib/$(DEB_SOURCE)/ ; \
	done
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in plink2 pgen_compress ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else ifeq (i386,$(DEB_HOST_ARCH))
	dh_install debian/bin/simd-dispatch /usr/lib/$(DEB_SOURCE)/
	for SIMD in ssse3 sse3 sse2 plain ; do \
		dh_install build_dynamic/plink2-$${SIMD} usr/lib/$(DEB_SOURCE)/ ; \
		dh_install build_dynamic/pgen_compress-$${SIMD} usr/lib/$(DEB_SOURCE)/ ; \
	done
	mkdir -p $(prefix)/bin
	cd $(prefix)/bin \
		&& for prog in plink2 pgen_compress ; do \
		ln -s ../lib/$(DEB_SOURCE)/simd-dispatch $${prog} ; done
else
	dh_install build_dynamic/plink2 usr/bin/
	dh_install build_dynamic/pgen_compress usr/bin/
endif

override_dh_auto_install-indep:

## plink2 2.00~a3-210203+dfsg

=== debian/changelog ===
plink2 (2.00~a3-210203+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Dylan Aïssi <daissi@debian.org>  Thu, 04 Feb 2021 11:52:52 +0100

plink2 (2.00~a3-210118+dfsg-2) unstable; urgency=medium

  * Team upload.
  * debian/rules: typo was causing FTBFS on mipsel

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 27 Jan 2021 11:58:07 +0100

plink2 (2.00~a3-210118+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 21 Jan 2021 12:50:16 +0100

plink2 (2.00~a3-210116+dfsg-1) unstable; urgency=medium

  * Team upload.
  * debian/watch: assume all upstream versions are prefixed with
    "2.00~a3-"
  * Remove obsolete field Contact from debian/upstream/metadata (already present
    in machine-readable debian/copyright).
  * debian/patches/baseline: respect Debian's architecture baselines

 -- Michael R. Crusoe <crusoe@debian.org>  Sun, 17 Jan 2021 10:00:51 +0100

plink2 (2.00~a3-210104+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add '-latomic' for mipsel, m68k, and powerpc as well
  * Remove debian/patches/portable_m128i_setting, it was applied
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 07 Jan 2021 14:40:07 +0100

plink2 (2.00~a3-201212+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add -latomic on armel
  * New upstream release.
  * Standards-Version: 4.5.1 (routine-update)
  * Mark use_packaged_libdeflate.patch as being Debian specific
  * debian/patches/portable_m128i_setting: use portable methods to set
    __m128i, should fix build on ppc64el.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 23 Dec 2020 18:15:47 +0100

plink2 (2.00~a3-201028+dfsg-2) unstable; urgency=medium

  * Inject -I/usr/include/simde

 -- Dylan Aïssi <daissi@debian.org>  Fri, 20 Nov 2020 10:02:59 +0100

plink2 (2.00~a3-201028+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * debhelper-compat 13 (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 13 Nov 2020 10:03:04 +0100

plink2 (2.00~a3-200831+dfsg-1) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Fix simde patch for non-x86

  [ Dylan Aïssi ]
  * New upstream release.

 -- Dylan Aïssi <daissi@debian.org>  Thu, 10 Sep 2020 11:19:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                help2man,
                libatlas-base-dev,
                liblapack-dev,
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/
@@ -19,9 +19,9 @@
 
 Package: plink2
 Architecture: any
-Built-Using: ${simde:Built-Using}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Built-Using: ${simde:Built-Using}
 Description: whole-genome association analysis toolset
  plink expects as input the data from SNP (single nucleotide polymorphism)
  chips of many individuals and their phenotypical description of a disease.

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,18 @@
 #!/usr/bin/make -f
 
 include /usr/share/dpkg/default.mk
+ifeq (ppc64el,$(DEB_HOST_ARCH))
+	DEB_CFLAGS_MAINT_APPEND+=-mcpu=power8
+	DEB_CXXFLAGS_MAINT_APPEND+=-mcpu=power8
+endif
+ifneq (,$(filter $(DEB_HOST_ARCH),armel mipsel m68k powerpc))
+	DEB_LDFLAGS_MAINT_APPEND+=-latomic
+endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
-export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
 export DEB_LDFLAGS_MAINT_APPEND+=-ldeflate
+
 
 DIRECTORY=build_dynamic/

=== debian/tests/control ===
Tests: run-sample-analysis
Depends: @
Restrictions: allow-stderr

## plink2 2.00~a3-220218%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3-$1/,repack,compression=xz" \
 https://www.cog-genomics.org/plink/2.0/ /static/bin/plink2_src_(\d\S+)\.zip

## plink2 2.00~a3-220218+dfsg

=== debian/changelog ===
plink2 (2.00~a3-220218+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1000782, #1004037
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 20 Feb 2022 21:36:16 +0100

plink2 (2.00~a3-211011+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Fri, 19 Nov 2021 17:17:43 +0100

plink2 (2.00~a3-210816+dfsg-1) unstable; urgency=medium

  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 21 Aug 2021 09:51:33 +0200

## plink2 2.00~a3.3-220801+dfsg

=== debian/changelog ===
plink2 (2.00~a3.3-220801+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version 2.00~a3.3-220801+dfsg
  * Refresh patches

  [ Étienne Mollier ]
  * d/rules: build avx2 variant with -mfma, fixing build failure.
  * d/bin/simd-dispatch: fix launcher for avx2 variant and filter fma.

 -- Étienne Mollier <emollier@debian.org>  Fri, 05 Aug 2022 22:15:46 +0200

plink2 (2.00~a3.3-220603+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (no changes needed)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 29 Jul 2022 16:47:18 +0200

plink2 (2.00~a3-220316+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 16 Mar 2022 18:44:39 +0100

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.3-$1/,repack,compression=xz" \
 https://www.cog-genomics.org/plink/2.0/ /static/bin/plink2_src_(\d\S+)\.zip

## plink2 2.00~a3.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pgenlibr
 Type: Package
 Title: PLINK 2 Binary (.pgen) Reader
-Version: 0.3.1
-Date: 2021-01-25
+Version: 0.3.2
+Date: 2022-03-14
 Author: Christopher Chang
 Maintainer: Christopher Chang <chrchang@alumni.caltech.edu>
 Description: A thin wrapper over PLINK 2's core libraries which provides an R

=== Makefile ===
--- 
+++ 
@@ -60,7 +60,7 @@
       endif
     endif
   else
-    BASEFLAGS += -mavx2 -mbmi -mbmi2 -mlzcnt
+    BASEFLAGS += -mavx2 -mbmi -mbmi2 -mfma -mlzcnt
     ifdef CPU_CHECK
       BASEFLAGS += -DCPU_CHECK_AVX2
       CPUCHECK_FLAGS = -O2 -DCPU_CHECK_AVX2 ${CXXWARN2}

## plink2 2.00~a3.5-220809+dfsg

=== debian/changelog ===
plink2 (2.00~a3.5-220809+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Fix watch file (seems we are at ~a3.5 released at 220809)

 -- Andreas Tille <tille@debian.org>  Mon, 12 Dec 2022 09:35:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/

=== debian/rules ===
--- 
+++ 
@@ -41,9 +41,10 @@
 ifeq (amd64,$(DEB_HOST_ARCH))
 	mkdir -p $(prefix)
 	mkdir -p $(libexecdir)
-	export CXXFLAGS="$(CXXFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && export CFLAGS="$(CFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt" && \
-		make clean ; \
-		dh_auto_build -- SFX=-avx2
+	export CXXFLAGS="$(CXXFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt -mfma" \
+	&& export CFLAGS="$(CFLAGS) -mavx2 -mbmi -mbmi2 -mlzcnt -mfma" \
+	&& make clean \
+	; dh_auto_build -- SFX=-avx2
 	for SIMD in avx sse4.1 ssse3 sse3 sse2 ; do \
 		export CXXFLAGS="$(CXXFLAGS) -m$${SIMD}" && export CFLAGS="$(CFLAGS) -m$${SIMD}" && \
 		make clean ; \

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.5-$1/" \
 https://www.cog-genomics.org/plink/2.0/dev /static/bin/plink2_src_(\d\S+)\.zip

# There are newer tags on github than on cog-genomics.org but this is a mixed tarball of version 1.9 and 2.0
# The "version" ~a3.5 above was guessed from the github tags at the date encoded in the zip file name
#opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/a/~a/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/chrchang/plink-ng/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## plink2 2.00~a5.8

=== DESCRIPTION ===
Package: pgenlibr
Type: Package
Title: PLINK 2 Binary (.pgen) Reader
Version: 0.3.6
Date: 202x-xx-xx
Authors@R: c(person(given = "Christopher",
                    family = "Chang",
                    role = c("aut", "cre"),
                    email = "chrchang@alumni.caltech.edu"),
             person(given = "Eric",
                    family = "Biggers",
                    role = c("ctb", "cph"),
                    comment = "Author of included libdeflate library"),
             person(given = "Yann",
                    family = "Collet",
                    role = c("ctb"),
                    comment = "Author of included Zstd library"),
             person(given = "Meta Platforms, Inc.",
                    role = c("cph"),
                    comment = "Zstd library"),
             person(given = "Evan",
                    family = "Nemerson",
                    role = c("ctb", "cph"),
                    comment = "Author of included SIMDe library"),
             person(given = "Przemyslaw",
                    family = "Skibinski",
                    role = c("ctb"),
                    comment = "Author of included Zstd library"),
             person(given = "Nick",
                    family = "Terrell",
                    role = c("ctb"),
                    comment = "Author of included Zstd library"))
Description: A thin wrapper over PLINK 2's core libraries which provides an R
    interface for reading .pgen files.  A minimal .pvar loader is also
    included.  Chang et al. (2015) <doi:10.1186/s13742-015-0047-8>.
License: LGPL (>= 3)
Copyright: This package includes sources of the libdeflate library owned by
    Eric Biggers, sources of the SIMDe library owned by Evan Nemerson, sources
    of the Zstd library owned by Meta Platforms, Inc., and sources of the
    pgenlib library owned by Christopher Chang.
BugReports: https://github.com/chrchang/plink-ng/issues
Imports: Rcpp (>= 1.0.1)
LinkingTo: Rcpp
RoxygenNote: 7.2.3

=== Makefile ===
--- 
+++ 
@@ -12,12 +12,14 @@
 #   Link to MKL with 64-bit indexes (dynamically): DYNAMIC_MKL
 #     (this also requires MKLROOT and MKL_IOMP5_DIR to be defined, and
 #     LD_LIBRARY_PATH to include the appropriate directories)
+#   Link statically to AOCL with 64-bit indexes: STATIC_AOCL
+#     (this supports older OSes than dynamic linking)
 #   32-bit binary (also sets STATIC_ZLIB and ZSTD_O2):
 #     FORCE_32BIT (warning: you may need to add a zconf.h symlink to make that
 #     work)
 #   Debug symbols: set DEBUG to -g
 NO_AVX2 = 1
-NO_SSE42 =
+NO_SSE42 = 1
 CPU_CHECK = 1
 NO_LAPACK =
 PREFER_CBLAS_F77 =
@@ -27,6 +29,8 @@
 DYNAMIC_MKL =
 MKLROOT = /home/ubuntu/intel/mkl
 MKL_IOMP5_DIR = /home/ubuntu/intel/compilers_and_libraries_2017.2.174/linux/compiler/lib/intel64
+STATIC_AOCL =
+AOCLROOT = /home/ubuntu/amd/aocl/3.2.0
 FORCE_32BIT =
 DEBUG =
 CC ?= gcc
@@ -90,15 +94,14 @@
 
 ifdef STATIC_ZLIB
   BASEFLAGS += -DSTATIC_ZLIB
-  LINKFLAGS += -L. ../../zlib-1.2.11/libz.a
+  LINKFLAGS += -L. ../../zlib-${ZLIB_VER}/libz.a
 else
   LINKFLAGS += -lz
 endif
 
 SKIP_STATIC_ZSTD =
-ifdef STATIC_ZSTD
-  BASEFLAGS += -DSTATIC_ZSTD
-else
+ifndef STATIC_ZSTD
+  BASEFLAGS += -DIGNORE_BUNDLED_ZSTD
   ZCSRC2 =
   ZSSRC2 =
   SKIP_STATIC_ZSTD = echo
@@ -117,9 +120,12 @@
   ifdef DYNAMIC_MKL
     $(error MKL is not currently supported on OS X)
   endif
+  ifdef STATIC_AOCL
+    $(error AOCL is not currently supported on OS X)
+  endif
   BLASFLAGS=-framework Accelerate
   CFLAGS += -I/usr/local/include
-  CXXFLAGS += -I/usr/local/include -stdlib=libc++
+  CXXFLAGS += -I/usr/local/include -stdlib=libc++ -DACCELERATE_NEW_LAPACK
   LINKFLAGS += -L/usr/local/lib
   LIBTOOL=libtool
   STATIC=-static
@@ -131,8 +137,22 @@
     ifdef FORCE_32BIT
       $(error DYNAMIC_MKL + FORCE_32BIT not supported)
     endif
+    ifdef STATIC_AOCL
+      $(error DYNAMIC_MKL + STATIC_AOCL does not make sense)
+    endif
     BASEFLAGS += -DDYNAMIC_MKL -DLAPACK_ILP64 -I${MKLROOT}/include
     BLASFLAGS = -L${MKLROOT}/lib/intel64 -L${MKL_IOMP5_DIR} -Wl,--no-as-needed -lmkl_intel_ilp64 -lmkl_intel_thread -lmkl_core -liomp5
+    LINKFLAGS += -ldl
+  endif
+  ifdef STATIC_AOCL
+    ifdef NO_LAPACK
+      $(error STATIC_AOCL and NO_LAPACK conflict)
+    endif
+    ifdef FORCE_32BIT
+      $(error STATIC_AOCL + FORCE_32BIT not supported)
+    endif
+    BASEFLAGS += -DUSE_AOCL -DLAPACK_ILP64 -I${AOCLROOT}/include
+    BLASFLAGS = -L. ${AOCLROOT}/lib/libflame.a -L. ${AOCLROOT}/lib/libblis.a
     LINKFLAGS += -ldl
   endif
 endif

## plink2 2.00~a5.8-231123+dfsg

=== debian/changelog ===
plink2 (2.00~a5.8-231123+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Drop libatlas-base-dev Build-Depends
    Closes: #1056683
  * Add Build-Depends alternative: liblapack-dev | liblapack.so
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Nov 2023 13:45:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,12 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                help2man,
-               libatlas-base-dev,
-               liblapack-dev,
-               libzstd-dev (>= 1.4.4),
+               liblapack-dev | liblapack.so,
+               libzstd-dev,
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.5-$1/" \
 https://www.cog-genomics.org/plink/2.0/dev /static/bin/plink2_src_(\d\S+)\.zip

# There are newer tags on github than on cog-genomics.org but this is a mixed tarball of version 1.9 and 2.0
# The "version" ~a5.8 above was guessed from the github tags at the date encoded in the zip file name
#opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/a/~a/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/chrchang/plink-ng/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## plink2 2.00~a6.9

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pgenlibr
 Type: Package
 Title: PLINK 2 Binary (.pgen) Reader
-Version: 0.3.6
-Date: 202x-xx-xx
+Version: 0.4.1
+Date: 2025-0x-yy
 Authors@R: c(person(given = "Christopher",
                     family = "Chang",
                     role = c("aut", "cre"),
@@ -32,7 +32,8 @@
                     comment = "Author of included Zstd library"))
 Description: A thin wrapper over PLINK 2's core libraries which provides an R
     interface for reading .pgen files.  A minimal .pvar loader is also
-    included.  Chang et al. (2015) <doi:10.1186/s13742-015-0047-8>.
+    included.  Chang et al. (2015) \doi{10.1186/s13742-015-0047-8}.
+Encoding: UTF-8
 License: LGPL (>= 3)
 Copyright: This package includes sources of the libdeflate library owned by
     Eric Biggers, sources of the SIMDe library owned by Evan Nemerson, sources
@@ -41,4 +42,4 @@
 BugReports: https://github.com/chrchang/plink-ng/issues
 Imports: Rcpp (>= 1.0.1)
 LinkingTo: Rcpp
-RoxygenNote: 7.2.3
+RoxygenNote: 7.3.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #   Do not use SSE4.2 instructions: NO_SSE42
 #   Print clear error message if SSE42/AVX2 needed but missing: CPU_CHECK
 #   Do not link to LAPACK: NO_LAPACK
-#   Use cblas_f77 instead of cblas: FORCE_CBLAS_F77
+#   Use cblas_f77 instead of cblas: PREFER_CBLAS_F77
 #   Use only -O2 optimization for zstd (may be necessary for gcc 4.x): ZSTD_O2
 #   Statically link zlib: STATIC_ZLIB
 #   Statically link zstd: STATIC_ZSTD
@@ -106,7 +106,7 @@
   ZSSRC2 =
   SKIP_STATIC_ZSTD = echo
   OBJ = $(CSRC:.c=.o) $(CCSRC:.cc=.o)
-  OBJ2 = $(notdir $(OBJ))
+  OBJL = $(notdir $(OBJ))
   LINKFLAGS += -lzstd
 endif
 
@@ -179,20 +179,20 @@
 	$(SKIP_STATIC_ZSTD) $(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
 	$(CXX) $(CXXFLAGS) $(CCSRC2) -c
 	$(CXX) $(CPUCHECK_FLAGS) ../plink2_cpu.cc -c
-	$(CXX) $(OBJ2) plink2_cpu.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)
+	$(CXX) $(OBJL) plink2_cpu.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)
 
 pgen_compress$(SFX): $(PGCSRC2)
 	$(CXX) $(CXXFLAGS) $(PGCSRC2) -o $@
 
 pgenlib.a: $(PGENLIB_CCSRC2)
 	$(CXX) $(CXXFLAGS) $(PGENLIB_CCSRC2) -c
-	$(LIBTOOL) $(STATIC) -o $@ $(PGENLIB_OBJ2)
+	$(LIBTOOL) $(STATIC) -o $@ $(PGENLIB_OBJL)
 
 plink2lib.a: $(CSRC2) $(ZCSRC2) $(ZSSRC2) $(PLINK2LIB_CCSRC2)
 	$(CC) $(CFLAGS) $(CSRC2) -c
 	$(CC) $(ZCFLAGS) $(ZCSRC2) $(ZSSRC2) -c
 	$(CXX) $(CXXFLAGS) $(PLINK2LIB_CCSRC2) -c
-	$(LIBTOOL) $(STATIC) -o $@ $(PLINK2LIB_OBJ2)
+	$(LIBTOOL) $(STATIC) -o $@ $(PLINK2LIB_OBJL)
 
 static_pgenlib_test: pgenlib.a ../pgen_compress.cc
 	$(CXX) $(CXXFLAGS) -o $@ ../pgen_compress.cc -L. pgenlib.a

=== vcf_subset/Makefile ===
# Linux/MacOS Makefile for vcf_subset.

NO_AVX2 = 1
NO_SSE42 = 1
ZSTD_O2 = 1
STATIC_ZLIB =
STATIC_ZSTD = 1
FORCE_32BIT =
DEBUG =
CC ?= gcc
CXX ?= g++

BASEFLAGS=
# ***** end configuration *****

BASEFLAGS += ${DEBUG}

include ../../Makefile.src
OBJ = $(CSRC:.c=.o) $(ZCSRC:.c=.o) $(ZSSRC:.S=.o) $(TEXTLIB_CCSRC:.cc=.o)
OBJL = $(notdir $(OBJ))

LINKFLAGS=-lpthread ${DEBUG}
ZLIB=
ARCH32=

ifdef FORCE_32BIT
  # this is targeted at Scientific Linux 6.
  STATIC_ZLIB = 1
  ZSTD_O2 = 1
  ARCH32 = -m32 -march=i686
  CXXFLAGS = -std=c++0x
else
  ifdef NO_AVX2
    ifndef NO_SSE42
      BASEFLAGS += -msse4.2
    endif
  else
    BASEFLAGS += -mavx2 -mbmi -mbmi2 -mfma -mlzcnt
  endif
  CXXFLAGS = -std=c++11
endif
BASEFLAGS += ${ARCH32}

CFLAGS=-O2 -std=gnu99
# zstd appears to be seriously targeted at -O3; see 26 Jul 2016 entry at
# cbloom.com/rants.html
ifdef ZSTD_O2
  ZCFLAGS=-O2 -std=gnu99
else
  ZCFLAGS=-O3 -std=gnu99
endif
# this actually needs to be named "CXXFLAGS
CXXFLAGS += -O2

ifdef STATIC_ZLIB
  BASEFLAGS += -DSTATIC_ZLIB
  LINKFLAGS += -L. ../../zlib-${ZLIB_VER}/libz.a
else
  LINKFLAGS += -lz
endif

SKIP_STATIC_ZSTD =
ifndef STATIC_ZSTD
  BASEFLAGS += -DIGNORE_BUNDLED_ZSTD
  ZCSRC3 =
  ZSSRC3 =
  SKIP_STATIC_ZSTD = echo
  TEXTLIB_OBJ = $(CSRC:.c=.o) $(TEXTLIB_CCSRC:.cc=.o)
  TEXTLIB_OBJL = $(notdir $(TEXTLIB_OBJ))
  LINKFLAGS += -lzstd
endif

LIBTOOL=ar
STATIC=rcs
UNAME := $(shell uname)
ifeq ($(UNAME), Darwin)
  ifdef FORCE_32BIT
    $(error 32-bit MacOS builds are not supported)
  endif
  CFLAGS += -I/usr/local/include
  CXXFLAGS += -I/usr/local/include -stdlib=libc++
  LINKFLAGS += -L/usr/local/lib
  LIBTOOL=libtool
  STATIC=-static
endif

CFLAGS += ${BASEFLAGS} ${CWARN2} ${CINCLUDE2}
ZCFLAGS += ${BASEFLAGS} ${CWARN2} ${ZSTD_INCLUDE2}
CXXFLAGS += ${BASEFLAGS} ${CXXWARN2} ${CXXINCLUDE2}

ifdef FORCE_32BIT
  CXXFLAGS += -Wno-sign-compare
endif

SFX ?= ""

all: vcf_subset$(SFX)

vcf_subset$(SFX): $(CSRC3) $(ZCSRC3) $(ZSSRC3) $(TEXTLIB_CCSRC3) vcf_subset.cc
	$(CC) $(CFLAGS) $(CSRC3) -c
	$(SKIP_STATIC_ZSTD) $(CC) $(ZCFLAGS) $(ZCSRC3) $(ZSSRC3) -c
	$(CXX) $(CXXFLAGS) $(TEXTLIB_CCSRC3) vcf_subset.cc -c
	$(CXX) $(TEXTLIB_OBJL) vcf_subset.o $(ARCH32) -o $@ $(BLASFLAGS) $(LINKFLAGS)

.PHONY: clean
clean:
	rm -f *.o
	rm -f ../../include/*.o
	rm -f vcf_subset

## plink2 2.00~a6.9-250129%2Bdfsg

=== debian/changelog ===
plink2 (2.00~a6.9-250129+dfsg-1build3) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Wed, 11 Feb 2026 23:41:15 +0100

plink2 (2.00~a6.9-250129+dfsg-1build2) questing; urgency=medium

  * No-change rebuild to disable LTO via lto-disabled-list (LP: #2119580).

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 14 Aug 2025 12:41:00 +0200

plink2 (2.00~a6.9-250129+dfsg-1) unstable; urgency=medium

  * New upstream version 2.00~a6.9-250129+dfsg
  * Update string in watch file
  * Refresh patches
  * Update upstream changelog
  * Fix invalid-dep3-format-patch-wrong-last-update
  * Standards-Version: 4.7.0 (no changes needed)
  * Fix superfluous-file-pattern
  * Add a clean target (Closes: #1048822)

 -- Dylan Aïssi <daissi@debian.org>  Fri, 07 Feb 2025 18:00:04 +0100

## plink2 2.00~a6.9-250129+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: plink2
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Dylan Aïssi <daissi@debian.org>
 Section: science
 Priority: optional
@@ -10,7 +11,7 @@
                zlib1g-dev,
                libsimde-dev,
                libdeflate-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/plink2
 Vcs-Git: https://salsa.debian.org/med-team/plink2.git
 Homepage: https://www.cog-genomics.org/plink/2.0/

=== debian/rules ===
--- 
+++ 
@@ -9,8 +9,8 @@
 	DEB_LDFLAGS_MAINT_APPEND+=-latomic
 endif
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
-export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde
+export DEB_CFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -DIGNORE_BUNDLED_LIBDEFLATE
+export DEB_CXXFLAGS_MAINT_APPEND+=-DSIMDE_ENABLE_OPENMP -fopenmp-simd -O3 -I/usr/include/simde -DIGNORE_BUNDLED_LIBDEFLATE
 export DEB_LDFLAGS_MAINT_APPEND+=-ldeflate

=== debian/watch ===
--- 
+++ 
@@ -1,6 +1,6 @@
 version=4
 
-opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a3.5-$1/" \
+opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,uversionmangle=s/(\d\S+)/2.00~a6.9-$1/" \
  https://www.cog-genomics.org/plink/2.0/dev /static/bin/plink2_src_(\d\S+)\.zip
 
 # There are newer tags on github than on cog-genomics.org but this is a mixed tarball of version 1.9 and 2.0
